Bug 121901 - [Code Folding] NPE when open file from existing project
[Code Folding] NPE when open file from existing project
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: 5.x
Assigned To: Alexei Mokeev
issues@javafx
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 12:39 UTC by Alexandr Scherbatiy
Modified: 2007-11-26 12:21 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
JavaFXPad project (33.75 KB, application/octet-stream)
2007-11-14 12:39 UTC, Alexandr Scherbatiy
Details
IDE log file (42.82 KB, text/plain)
2007-11-14 12:40 UTC, Alexandr Scherbatiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2007-11-14 12:39:05 UTC
Steps to reproduce:

- Open the attached  JavaFXPad project in IDE
- Open the javafxpad.Main.fx file
  The NPE pops up:

java.lang.NullPointerException
  at java.io.StringReader.<init>(StringReader.java:33)
  at org.netbeans.modules.javafx.parser.FXParser.fillResultsForFolding(FXParser.java:249)
  at org.netbeans.modules.javafx.parser.FXParser.parseFiles(FXParser.java:228)
Comment 1 Alexandr Scherbatiy 2007-11-14 12:39:50 UTC
Created attachment 52969 [details]
JavaFXPad project
Comment 2 Alexandr Scherbatiy 2007-11-14 12:40:33 UTC
Created attachment 52970 [details]
IDE log file
Comment 3 Mikhail Kondratyev 2007-11-19 16:54:15 UTC
Very visible, very simple to reproduce, happens very often. Upgrading to P1
Comment 4 Oleg Barbashov 2007-11-22 15:06:23 UTC
Fixed.
Comment 5 Alexandr Scherbatiy 2007-11-26 12:21:02 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo